## org.omg.CORBA
Class PrimitiveDefHolder

    java.lang.Object
      |
      +--org.omg.CORBA.PrimitiveDefHolder

All Implemented Interfaces:
  Streamable

public final class PrimitiveDefHolder
extends java.lang.Object
implements Streamable

Holder class for : PrimitiveDef

Author:
  OpenORB Compiler

Field Summary
`PrimitiveDef` `value` Internal PrimitiveDef value

Constructor Summary
`PrimitiveDefHolder()` Default constructor
`PrimitiveDefHolder(PrimitiveDef initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read PrimitiveDef from a marshalled stream
`TypeCode` `_type()` Return the PrimitiveDef TypeCode
`void` `_write(OutputStream ostream)` Write PrimitiveDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public PrimitiveDef value

  Internal PrimitiveDef value

Constructor Detail

### PrimitiveDefHolder

    public PrimitiveDefHolder()

  Default constructor

### PrimitiveDefHolder

    public PrimitiveDefHolder(PrimitiveDef initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read PrimitiveDef from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write PrimitiveDef into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the PrimitiveDef TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode